Debian Bug report logs - #480480
libhtml-mason-perl: Subclassing HTML::Mason::ApacheHandler stopped working after upgrade to perl 5.10

version graph

Package: perl; Maintainer for perl is Niko Tyni <ntyni@debian.org>; Source for perl is src:perl.

Reported by: Fernando Santagata <nando@ipers.net>

Date: Sat, 10 May 2008 11:42:02 UTC

Severity: important

Tags: fixed-upstream

Found in version perl/5.10.0-10

Fixed in version perl/5.10.0-12

Done: Niko Tyni <ntyni@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://rt.perl.org/rt3/Public/Bug/Display.html?id=54566

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Charles Fry <cfry@debian.org>:
Bug#480480; Package libhtml-mason-perl. Full text and rfc822 format available.

Acknowledgement sent to Fernando Santagata <nando@ipers.net>:
New Bug report received and forwarded. Copy sent to Charles Fry <cfry@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Fernando Santagata <nando@ipers.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libhtml-mason-perl: Subclassing HTML::Mason::ApacheHandler stopped working after upgrade to perl 5.10
Date: Sat, 10 May 2008 13:39:40 +0200
Package: libhtml-mason-perl
Version: 1:1.36-2
Severity: normal


Hello,

until some days ago, my mason-based sites worked just fine.
After upgrading to perl 5.10 one site stopped working. I have done some
research and I suspect the culprit is HTML::Mason::ApacheHandler.

In this particular configuration I authenticate the users, so I need to
subclass HTML::Mason::ApacheHandler.
The system works just fine for plain HTML files, but the apache process
crashes if I use a mason page, leaving this line in the error log:

[Fri May 09 00:04:47 2008] [notice] child pid 22953 exit signal Segmentation fault (11)

If I modify my apache configuration for the site, avoiding to use my
subclassed handler (i.e. if I substitute the line "PerlHandler My::Handler"
with "PerlHandler HTML::Mason::ApacheHandler") the system doesn't crash
anymore, but obviously I have no sessioning.

I inserted some print lines in handler.pl and I traced the problem to
the line calling HTML::Mason::ApacheHandler::handle_request.

I tried to strip down my configuration to the minimum to reproduce the
problem.

The apache config:

<VirtualHost *>
	ServerName my.web.site
	ServerAdmin webmaster@localhost
	DocumentRoot /var/www/my.web.site
	
	<Directory />
		Options FollowSymLinks
		AllowOverride None
	</Directory>
	<Directory /var/www/my.web.site>
		Options +Indexes +Includes +FollowSymLinks +MultiViews
		AllowOverride All
		Order allow,deny
		allow from all
	</Directory>

	ScriptAlias /cgi-bin/ /usr/lib/cgi-bin/
	<Directory "/usr/lib/cgi-bin">
		AllowOverride None
		Options +ExecCGI -MultiViews +SymLinksIfOwnerMatch
		Order allow,deny
		Allow from all
	</Directory>

	ErrorLog /var/log/apache2/my.error.log

	# Possible values include: debug, info, notice, warn, error, crit,
	# alert, emerg.
	LogLevel warn

	CustomLog /var/log/apache2/my.access.log combined
	ServerSignature On

    <IfModule mod_dir.c>
        DirectoryIndex index.mhtml index.shtml index.cgi index.php index.html
    </IfModule>

    <IfModule mod_perl.c>
		PerlRequire /etc/apache2/handler.pl

		<FilesMatch "^.*?mhtml$">
			SetHandler perl-script
			AddType text/html .mhtml
			PerlHandler My::Handler
			#PerlHandler HTML::Mason::ApacheHandler
			DefaultType text/html
		</FilesMatch>
		<FilesMatch "^.*?comp$">
			SetHandler perl-script
			PerlInitHandler Apache2::Const::NOT_FOUND
		</FilesMatch>
        <Files ~ "(^\.ht|handler$)">
			Order allow,deny
			Deny from all
		</Files>
		<Location /components>
			Order allow,deny
			Allow from all
		</Location>
    </IfModule>
</VirtualHost>


My handler.pl:

#!/usr/bin/perl

package My::Handler;

use HTML::Mason::ApacheHandler(args_method=>'CGI');
use strict;
use Apache2::Const qw(:common);
use Apache2::Request;
use Apache2::RequestRec ();

{
	package HTML::Mason::Commands;
	use Data::Dumper;
	use vars qw($dbh);
	use CGI::Cookie;
	use Apache::DBI;
	use Apache2::Request;
}

my %ah;		# HTML::Apache::Handler (session)
$ah{"my.web.site"} = new HTML::Mason::ApacheHandler(
		comp_root => "/var/www/my.web.site",
		data_dir => "/var/cache/mymason",			# Cache dir
		args_method => "mod_perl",
		request_class => 'MasonX::Request::WithApacheSession',
		session_class => 'Apache::Session::MySQL',
		session_use_cookie => 1,
		session_cookie_name => "my.web.site-cockie",
		session_cookie_name => "my.web.site-cockie",
		session_cookie_expires => "+4h",
		session_data_source => 'dbi:mysql:sessions;',
		session_user_name => 'sqluser',
		session_password => 'sqlpassword',
		session_lock_data_source => 'dbi:mysql:sessions;',
		session_lock_user_name => 'sqluser',
		session_lock_password => 'sqlpassword'
		);
Apache::DBI->connect_on_init("dbi:mysql:dbname=my", "sqluser", "sqlpassword");

sub handler
{
	my ($r) =  @_;
	my $site = $r->dir_config('my.web.site');

	# The apache process crashed executing this line
	my $status = $ah{"my.web.site"}->handle_request($r);
	return $status;
}

1;

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968) (ignored: LC_ALL set to C)
Shell: /bin/sh linked to /bin/bash

Versions of packages libhtml-mason-perl depends on:
ii  libcache-cache-perl           1.05-2     Managed caches of persistent infor
ii  libclass-container-perl       0.12-2     Glues object frameworks together t
ii  libexception-class-perl       1.24-1     a module that allows you to declar
ii  libhtml-parser-perl           3.56-1+b1  A collection of modules that parse
ii  libparams-validate-perl       0.89-2+b1  validate parameters to Perl method
ii  perl                          5.10.0-9.1 Larry Wall's Practical Extraction 
ii  perl-base [libscalar-list-uti 5.10.0-9.1 The Pathologically Eclectic Rubbis

Versions of packages libhtml-mason-perl recommends:
ii  libapache2-mod-perl2          2.0.4-1    Integration of perl with the Apach

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Charles Fry <cfry@debian.org>:
Bug#480480; Package libhtml-mason-perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Charles Fry <cfry@debian.org>. Full text and rfc822 format available.

Message #10 received at 480480@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: Fernando Santagata <nando@ipers.net>, 480480@bugs.debian.org
Subject: Re: Bug#480480: libhtml-mason-perl: Subclassing HTML::Mason::ApacheHandler stopped working after upgrade to perl 5.10
Date: Mon, 19 May 2008 21:27:56 +0300
reassign 480480 libapache2-mod-perl2 2.0.4-1
severity 480480 important
thanks

On Sat, May 10, 2008 at 01:39:40PM +0200, Fernando Santagata wrote:
> Package: libhtml-mason-perl
> Version: 1:1.36-2
> Severity: normal

> until some days ago, my mason-based sites worked just fine.
> After upgrading to perl 5.10 one site stopped working. I have done some
> research and I suspect the culprit is HTML::Mason::ApacheHandler.

> The system works just fine for plain HTML files, but the apache process
> crashes if I use a mason page, leaving this line in the error log:
> 
> [Fri May 09 00:04:47 2008] [notice] child pid 22953 exit signal Segmentation fault (11)

I can reproduce this. The bug is either in mod_perl2 or perl itself,
pure Perl packages shouldn't be able to generate segfaults.

Reassigning to libapache2-mod-perl2 for starters until it's shown to be
reproducable without mod_perl2.

Here's the backtrace I got by running 'apache2 -X -k start' inside gdb.

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x4600b950 (LWP 24242)]
Perl_mro_isa_changed_in (my_perl=0x1a1ba10, stash=0x0) at mro.c:481
481 mro.c: No such file or directory.
    in mro.c
(gdb) bt
#0  Perl_mro_isa_changed_in (my_perl=0x1a1ba10, stash=0x0) at mro.c:481
#1  0x00002b9ac810d7cf in Perl_magic_setisa (my_perl=0x1a1ba10, sv=<value optimized out>, 
    mg=<value optimized out>) at mg.c:1549
#2  0x00002b9ac810ed6d in Perl_mg_set (my_perl=0x1a1ba10, sv=0x25bc5a8) at mg.c:277
#3  0x00002b9ac812c082 in Perl_pp_sassign (my_perl=0x1a1ba10) at pp_hot.c:210
#4  0x00002b9ac812301e in Perl_runops_standard (my_perl=0x1a1ba10) at run.c:38
#5  0x00002b9ac811d9e1 in Perl_call_sv (my_perl=0x1a1ba10, sv=0x25fc0f0, flags=4) at perl.c:2653
#6  0x00002b9ac7e4bccd in modperl_callback () from /usr/lib/apache2/modules/mod_perl.so
#7  0x00002b9ac7e4c3ec in modperl_callback_run_handlers () from /usr/lib/apache2/modules/mod_perl.so
#8  0x00002b9ac7e4c95f in modperl_callback_per_dir () from /usr/lib/apache2/modules/mod_perl.so
#9  0x00002b9ac7e468b0 in ?? () from /usr/lib/apache2/modules/mod_perl.so
#10 0x00002b9ac7e46a69 in modperl_response_handler_cgi () from /usr/lib/apache2/modules/mod_perl.so
#11 0x0000000000437eda in ap_run_handler ()
#12 0x000000000043b27c in ap_invoke_handler ()
#13 0x000000000044758e in ap_process_request ()
#14 0x0000000000444988 in ?? ()
#15 0x000000000043eed2 in ap_run_process_connection ()
#16 0x000000000044bd47 in ?? ()
#17 0x00002b9ac1ec8017 in start_thread () from /lib/libpthread.so.0
#18 0x00002b9ac21a354d in clone () from /lib/libc.so.6
#19 0x0000000000000000 in ?? ()

-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Charles Fry <cfry@debian.org>:
Bug#480480; Package libhtml-mason-perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni+modperl@mappi.helsinki.fi>:
Extra info received and forwarded to list. Copy sent to Charles Fry <cfry@debian.org>. Full text and rfc822 format available.

Message #15 received at 480480@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni+modperl@mappi.helsinki.fi>
To: modperl@perl.apache.org
Cc: 480480@bugs.debian.org
Subject: Re: segfault with perl 5.10 + MasonX::Request::WithApacheSession
Date: Mon, 19 May 2008 21:33:49 +0300
On Mon, May 19, 2008 at 11:12:08AM +0200, Louis-David Mitterrand wrote:

> Since I've upgraded to perl 5.10 on my debian unstable/sid box I get a 
> segfault when using MasonX::Request::WithApacheSession:
> 
> 	[Sat May 17 16:14:55 2008] [notice] Apache/2.2.8 (Debian) mod_apreq2-20051231/2.6.0 mod_perl/2.0.4 Perl/v5.10.0 configured -- resuming normal operations
> 	[Sat May 17 16:15:03 2008] [notice] child pid 25786 exit signal Segmentation fault (11)
> 	[Sat May 17 16:15:11 2008] [notice] child pid 25788 exit signal Segmentation fault (11)
> 	[Sat May 17 16:15:12 2008] [notice] child pid 25789 exit signal Segmentation fault (11)

> 			## When commented out perl 5.10 works fine
> 			request_class => 'MasonX::Request::WithApacheSession',

This looks very similar to <http://bugs.debian.org/480480>, Cc'd as
480480@bugs.debian.org . I just sent a stack backtrace there, no idea
yet if the fault is with perl or mod_perl2.

Cheers,
-- 
Niko Tyni   ntyni@debian.org




Bug reassigned from package `libhtml-mason-perl' to `libapache2-mod-perl2'. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Mon, 19 May 2008 18:36:05 GMT) Full text and rfc822 format available.

Severity set to `important' from `normal' Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Mon, 19 May 2008 18:36:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#480480; Package libapache2-mod-perl2. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #24 received at 480480@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: Fernando Santagata <nando@ipers.net>, 480480@bugs.debian.org
Subject: Re: Bug#480480: libhtml-mason-perl: Subclassing HTML::Mason::ApacheHandler stopped working after upgrade to perl 5.10
Date: Tue, 20 May 2008 14:33:56 +0300
reassign 480480 perl 5.10.0-10
retitle 480480 
thanks

On Mon, May 19, 2008 at 09:27:56PM +0300, Niko Tyni wrote:

> On Sat, May 10, 2008 at 01:39:40PM +0200, Fernando Santagata wrote:
> > Package: libhtml-mason-perl
> > Version: 1:1.36-2
> > Severity: normal
> 
> > until some days ago, my mason-based sites worked just fine.
> > After upgrading to perl 5.10 one site stopped working. I have done some
> > research and I suspect the culprit is HTML::Mason::ApacheHandler.
> 
> > The system works just fine for plain HTML files, but the apache process
> > crashes if I use a mason page, leaving this line in the error log:
> > 
> > [Fri May 09 00:04:47 2008] [notice] child pid 22953 exit signal Segmentation fault (11)
> 
> I can reproduce this. The bug is either in mod_perl2 or perl itself,
> pure Perl packages shouldn't be able to generate segfaults.

It's a regression in perl 5.10.0, reproducable with this one-liner:

# perl -e '@ISA = 'Foo'; $ISA[$_] = 'Bar' for (0..$#ISA);'

Reassigning again. I'll forward this upstream after some bisecting to
determine which change in perl broke this.
-- 
Niko Tyni   ntyni@debian.org




Bug reassigned from package `libapache2-mod-perl2' to `perl'. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Tue, 20 May 2008 11:36:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#480480; Package perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. Full text and rfc822 format available.

Message #31 received at 480480@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: Fernando Santagata <nando@ipers.net>, 480480@bugs.debian.org
Subject: Re: Bug#480480: libhtml-mason-perl: Subclassing HTML::Mason::ApacheHandler stopped working after upgrade to perl 5.10
Date: Tue, 20 May 2008 23:42:07 +0300
On Tue, May 20, 2008 at 02:33:56PM +0300, Niko Tyni wrote:
> > On Sat, May 10, 2008 at 01:39:40PM +0200, Fernando Santagata wrote:
> > > Package: libhtml-mason-perl
> > > Version: 1:1.36-2
> > > Severity: normal
> > 
> > > until some days ago, my mason-based sites worked just fine.
> > > After upgrading to perl 5.10 one site stopped working. I have done some
> > > research and I suspect the culprit is HTML::Mason::ApacheHandler.
> > 
> > > The system works just fine for plain HTML files, but the apache process
> > > crashes if I use a mason page, leaving this line in the error log:
> > > 
> > > [Fri May 09 00:04:47 2008] [notice] child pid 22953 exit signal Segmentation fault (11)

> It's a regression in perl 5.10.0, reproducable with this one-liner:
> 
> # perl -e '@ISA = 'Foo'; $ISA[$_] = 'Bar' for (0..$#ISA);'

Turns out this is another instance of upstream bug [perl #52074],
recently fixed in bleadperl by change 33684.

 http://rt.perl.org/rt3/Public/Bug/Display.html?id=52074
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#480480; Package perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. Full text and rfc822 format available.

Message #36 received at 480480@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: Fernando Santagata <nando@ipers.net>, 480480@bugs.debian.org
Subject: Re: Bug#480480: libhtml-mason-perl: Subclassing HTML::Mason::ApacheHandler stopped working after upgrade to perl 5.10
Date: Wed, 21 May 2008 09:58:04 +0300
forwarded 480480 http://rt.perl.org/rt3/Public/Bug/Display.html?id=54566
thanks

On Tue, May 20, 2008 at 11:42:07PM +0300, Niko Tyni wrote:
> On Tue, May 20, 2008 at 02:33:56PM +0300, Niko Tyni wrote:
> > > On Sat, May 10, 2008 at 01:39:40PM +0200, Fernando Santagata wrote:
> > > > Package: libhtml-mason-perl
> > > > Version: 1:1.36-2
> > > > Severity: normal
> > > 
> > > > until some days ago, my mason-based sites worked just fine.
> > > > After upgrading to perl 5.10 one site stopped working. I have done some
> > > > research and I suspect the culprit is HTML::Mason::ApacheHandler.
> > > 
> > > > The system works just fine for plain HTML files, but the apache process
> > > > crashes if I use a mason page, leaving this line in the error log:
> > > > 
> > > > [Fri May 09 00:04:47 2008] [notice] child pid 22953 exit signal Segmentation fault (11)
> 
> > It's a regression in perl 5.10.0, reproducable with this one-liner:
> > 
> > # perl -e '@ISA = 'Foo'; $ISA[$_] = 'Bar' for (0..$#ISA);'
> 
> Turns out this is another instance of upstream bug [perl #52074],
> recently fixed in bleadperl by change 33684.
> 
>  http://rt.perl.org/rt3/Public/Bug/Display.html?id=52074

It looks like that one only cured the symptoms, so I just filed [perl #54566].
-- 
Niko Tyni   ntyni@debian.org




Noted your statement that Bug has been forwarded to http://rt.perl.org/rt3/Public/Bug/Display.html?id=54566. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Wed, 21 May 2008 07:00:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#480480; Package perl. Full text and rfc822 format available.

Acknowledgement sent to Emmanuel Lacour <elacour@home-dn.net>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. Full text and rfc822 format available.

Message #43 received at 480480@bugs.debian.org (full text, mbox):

From: Emmanuel Lacour <elacour@home-dn.net>
To: 480480@bugs.debian.org
Subject: Re: Bug#480480: libhtml-mason-perl: Subclassing HTML::Mason::ApacheHandler stopped working after upgrade to perl 5.10
Date: Wed, 21 May 2008 17:42:35 +0200
I just want to notice you that I applied the patch from rt.perl.org
#54566 (only the part in Perl_magic_setisa as Perl_magic_clearisa
doesn't exists in debian perl version) and this fix the problem. No
more segfaults (tested with the command given in previous mail and with
RT 3.8-TESTING).





Tags added: fixed-upstream Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Sat, 24 May 2008 13:48:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#480480; Package perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. Full text and rfc822 format available.

Message #50 received at 480480@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: control@bugs.debian.org
Cc: 144193@bugs.debian.org, 357663@bugs.debian.org, 412542@bugs.debian.org, 417528@bugs.debian.org, 443733@bugs.debian.org, 447830@bugs.debian.org, 448204@bugs.debian.org, 475498@bugs.debian.org, 479434@bugs.debian.org, 479540@bugs.debian.org, 479698@bugs.debian.org, 479957@bugs.debian.org, 480428@bugs.debian.org, 480480@bugs.debian.org, 480533@bugs.debian.org, 480565@bugs.debian.org, 480719@bugs.debian.org, 480997@bugs.debian.org, 481956@bugs.debian.org, 482110@bugs.debian.org, 483144@bugs.debian.org, 483734@bugs.debian.org, 484681@bugs.debian.org, 485416@bugs.debian.org
Subject: setting package to perl-debug perl-modules perl libcgi-fast-perl libperl5.10 libperl-dev perl-base perl-doc perl-suid ...
Date: Mon, 16 Jun 2008 08:55:06 +0300
# Automatically generated email from bts, devscripts version 2.10.29
#
# perl (5.10.0-11) unstable; urgency=low
#
#  * Upgrade libfile-temp-perl conflict to (<= 0.18). (Closes: #480719)
#  * Fix Math::BigFloat::sqrt() breaking with too many digits. (Closes:
#    #417528)
#  * Remove numeric overloading of Getopt::Long callback functions.
#    (Closes: #479434)
#  * Fix a segmentation fault occurring in the mod_perl2 test suite.
#    (Closes: #475498)
#  * Fix the PerlIO_teardown prototype to suppress a compiler warning.
#    (Closes: #479540)
#  * Make pod2man handle headings starting with groff special characters.
#    (Closes: #448204)
#  * Fix pod2man overescaping dashes with non-ascii characters. (Closes:
#    #480565)
#  * Integrate some documentation fixes from upstream. (Closes: #357663,
#    #443733, #412542)
#  * Fix a typo in perlpodspec.pod. (Closes: #447830)
#  * Fix 'constant subroutine SEEK_* redefined' warnings when using the
#    Fcntl and POSIX modules together. (Closes: #479957)
#  * Add conflicts/replaces/provides for libpod-simple-perl. (Closes: #481956)
#  * Fix crashes on @ISA fiddling. (Closes: #480480)
#  * Fix building with DEB_BUILD_OPTIONS=noopt. (Closes: #482110)
#  * Remove the __LONG_MAX__ kludge introduced in 5.8.1-1, it shouldn't be
#    needed anymore and emits warnings. (Closes: #480428)
#  * Fix broken file uploads with CGI.pm caused by an accidental
#    stringifying of a file handle. (Closes: #483144)
#  * Make the '-x' test work with 'use filetest q/access/'. (Closes:
#    #483734)
#  * Update to Pod::Man 2.17 from podlators-2.1.0 to get the new "pod2man
#    --utf8" functionality. (Closes: #480997)
#  * Update the description of the perl-base package. Thanks to Justin B Rye.
#    (Closes: #484681, #144193)
#  * Fix a reference counting bug in PerlIO::via that broke the svk
#    package. (Closes: #479698)
#  * Move /usr/share/perl/5.10/unicore/lib into perl-base. (Closes: #480533)
#  * Add conflicts/replaces/provides for libextutils-parsexs-perl.
#    (Closes: #485416)
#

package perl-debug perl-modules perl libcgi-fast-perl libperl5.10 libperl-dev perl-base perl-doc perl-suid
tags 475498 + pending
tags 479540 + pending
tags 480428 + pending
tags 483734 + pending
tags 412542 + pending
tags 479434 + pending
tags 481956 + pending
tags 482110 + pending
tags 480997 + pending
tags 144193 + pending
tags 480719 + pending
tags 480480 + pending
tags 357663 + pending
tags 417528 + pending
tags 483144 + pending
tags 447830 + pending
tags 484681 + pending
tags 479957 + pending
tags 448204 + pending
tags 485416 + pending
tags 480533 + pending
tags 480565 + pending
tags 479698 + pending
tags 443733 + pending





Tags added: pending Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Mon, 16 Jun 2008 05:57:36 GMT) Full text and rfc822 format available.

Tags removed: pending Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Sun, 03 Aug 2008 19:27:14 GMT) Full text and rfc822 format available.

Reply sent to Niko Tyni <ntyni@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Fernando Santagata <nando@ipers.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #59 received at 480480-close@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 480480-close@bugs.debian.org
Subject: Bug#480480: fixed in perl 5.10.0-12
Date: Tue, 05 Aug 2008 13:02:14 +0000
Source: perl
Source-Version: 5.10.0-12

We believe that the bug you reported is fixed in the latest version of
perl, which is due to be installed in the Debian FTP archive:

libcgi-fast-perl_5.10.0-12_all.deb
  to pool/main/p/perl/libcgi-fast-perl_5.10.0-12_all.deb
libperl-dev_5.10.0-12_amd64.deb
  to pool/main/p/perl/libperl-dev_5.10.0-12_amd64.deb
libperl5.10_5.10.0-12_amd64.deb
  to pool/main/p/perl/libperl5.10_5.10.0-12_amd64.deb
perl-base_5.10.0-12_amd64.deb
  to pool/main/p/perl/perl-base_5.10.0-12_amd64.deb
perl-debug_5.10.0-12_amd64.deb
  to pool/main/p/perl/perl-debug_5.10.0-12_amd64.deb
perl-doc_5.10.0-12_all.deb
  to pool/main/p/perl/perl-doc_5.10.0-12_all.deb
perl-modules_5.10.0-12_all.deb
  to pool/main/p/perl/perl-modules_5.10.0-12_all.deb
perl-suid_5.10.0-12_amd64.deb
  to pool/main/p/perl/perl-suid_5.10.0-12_amd64.deb
perl_5.10.0-12.diff.gz
  to pool/main/p/perl/perl_5.10.0-12.diff.gz
perl_5.10.0-12.dsc
  to pool/main/p/perl/perl_5.10.0-12.dsc
perl_5.10.0-12_amd64.deb
  to pool/main/p/perl/perl_5.10.0-12_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 480480@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Niko Tyni <ntyni@debian.org> (supplier of updated perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 05 Aug 2008 14:17:05 +0300
Source: perl
Binary: perl-base libcgi-fast-perl perl-doc perl-modules perl-debug perl-suid libperl5.10 libperl-dev perl
Architecture: source all amd64
Version: 5.10.0-12
Distribution: unstable
Urgency: low
Maintainer: Brendan O'Dea <bod@debian.org>
Changed-By: Niko Tyni <ntyni@debian.org>
Description: 
 libcgi-fast-perl - CGI::Fast Perl module
 libperl-dev - Perl library: development files
 libperl5.10 - Shared Perl library
 perl       - Larry Wall's Practical Extraction and Report Language
 perl-base  - minimal Perl system
 perl-debug - Debug-enabled Perl interpreter
 perl-doc   - Perl documentation
 perl-modules - Core Perl modules
 perl-suid  - Runs setuid Perl scripts
Closes: 144193 357663 412542 417528 443733 447830 475498 479434 479540 479957 480375 480385 480428 480480 480533 480719 481956 482110 483734 484681 485416
Changes: 
 perl (5.10.0-12) unstable; urgency=low
 .
   * Acknowledge NMU, thanks Bastian.
   * Bugfix release targeted for lenny.
   * Upgrade libfile-temp-perl conflict to (<= 0.18). (Closes: #480719)
   * Add upstream integration status information into debian/patches
     where applicable.
   * Add Vcs-Git and Vcs-Browser information in debian/control.
   * Fix Math::BigFloat::sqrt() breaking with too many digits. (Closes:
     #417528)
   * Remove numeric overloading of Getopt::Long callback functions.
     (Closes: #479434)
   * Support GNU/Hurd and GNU/kFreeBSD in Module::Build and
     ExtUtils::CBuilder. (Closes: #480385, #480375)
   * Fix a segmentation fault occurring in the mod_perl2 test suite.
     (Closes: #475498)
   * Fix the PerlIO_teardown prototype to suppress a compiler warning.
     (Closes: #479540)
   * Integrate some documentation fixes from upstream. (Closes: #357663,
     #443733, #412542)
   * Mention the relation between 'eval "require Foo"' and
     PERL_DL_NONLAZY in the 'perldoc -f eval' documentation . (See
     #479711).
   * Fix a typo in perlpodspec.pod. (Closes: #447830)
   * Fix 'constant subroutine SEEK_* redefined' warnings when using the
     Fcntl and POSIX modules together. (Closes: #479957)
   * Add conflicts/replaces/provides for libpod-simple-perl. (Closes: #481956)
   * Fix crashes on @ISA fiddling. (Closes: #480480)
   * Fix building with DEB_BUILD_OPTIONS=noopt. (Closes: #482110)
   * Remove the __LONG_MAX__ kludge introduced in 5.8.1-1, it shouldn't be
     needed anymore and emits warnings. (Closes: #480428)
   * Make the '-x' test work with 'use filetest q/access/'. (Closes:
     #483734)
   * Update the description of the perl-base package. Thanks to Justin B Rye.
     (Closes: #484681, #144193)
   * Move /usr/share/perl/5.10/unicore/lib into perl-base. (Closes: #480533)
   * Add conflicts/replaces/provides for libextutils-parsexs-perl.
     (Closes: #485416)
Checksums-Sha1: 
 f39a235f34bcb70959a5ada229dcb48d4667ee5f 1299 perl_5.10.0-12.dsc
 497dacd27e31eea000ffda7b6b4dc34ed33100f3 115136 perl_5.10.0-12.diff.gz
 c9533460d3b8331aba52d481c15bfe11a79edef3 43520 libcgi-fast-perl_5.10.0-12_all.deb
 430e14793340524848d6079c78781eb0138c7e55 8241758 perl-doc_5.10.0-12_all.deb
 23ba9782f92fd8607463e035089035a66c912110 3191382 perl-modules_5.10.0-12_all.deb
 3ec51fa5aa3b50f6e590bbbbacd9d7a07ee49071 1046422 perl-base_5.10.0-12_amd64.deb
 1b9b26a51034d93af3d689c87ea04828fd6eb8c2 5538598 perl-debug_5.10.0-12_amd64.deb
 d9c124e3788820ee72ff14f57cc1b5b098585dda 31454 perl-suid_5.10.0-12_amd64.deb
 09cc821092993c785878e2e70f4d250ff7783dc2 1010 libperl5.10_5.10.0-12_amd64.deb
 b9b4af8f4701f38b25c12d32479f928b112fa8dc 2595932 libperl-dev_5.10.0-12_amd64.deb
 8b4a2be38ecc895aa310b3c9c987e75c0ffef324 5247804 perl_5.10.0-12_amd64.deb
Checksums-Sha256: 
 3a2d3ce93810dd472fcb6b150ba8890d9826754b09c8a0f2e8741f8e53552103 1299 perl_5.10.0-12.dsc
 94d3e19a4156d7fc4833a6d7e181fe052bb6a0cdf6f2222b10886053e1179373 115136 perl_5.10.0-12.diff.gz
 9d5d6e0e969b4b929e1fb975148348f6a911a9d32b54c8241ee514002b38c1df 43520 libcgi-fast-perl_5.10.0-12_all.deb
 588ea12f2a9dc97d10df028be8e135a4891bd02231880cfad4a828f7fddcd267 8241758 perl-doc_5.10.0-12_all.deb
 4ffe5716ce519afe3c6f5ebc27e2d1320786a9ac8f9bc45de2801a07df575f8e 3191382 perl-modules_5.10.0-12_all.deb
 336ca946c41e00f00b34896bfb2d106e6dd74f06551fb7f391695f454311299c 1046422 perl-base_5.10.0-12_amd64.deb
 c84eb217d1cdf8e02f0ba434601b6205850d2e4f87fa8800afd56afd6c8be558 5538598 perl-debug_5.10.0-12_amd64.deb
 620c8c410d0b7fd1e5b820d1fefafbe2848f6188ea6fc6914156b818284a8c40 31454 perl-suid_5.10.0-12_amd64.deb
 6c6a5b58bad8faf6a0be8786ce059682ad93f27958f517c9835c2a2996607c53 1010 libperl5.10_5.10.0-12_amd64.deb
 947a190bd19b0fb89f0d00984717b99e0c3d2ea073f67938d50b5eed1339cb95 2595932 libperl-dev_5.10.0-12_amd64.deb
 e2429373dc9e044aed10185d88d2859d256c8bca07d8f04f986eef8e94935fd9 5247804 perl_5.10.0-12_amd64.deb
Files: 
 11929bb9461f44903a3c36e2f5922a53 1299 perl standard perl_5.10.0-12.dsc
 dbb85dc5125a850f928d4a2676b421a5 115136 perl standard perl_5.10.0-12.diff.gz
 3e1e3dd6a4c5c84055783fc1f7a461f9 43520 perl optional libcgi-fast-perl_5.10.0-12_all.deb
 4ef8dccd398d82f8db45db66ddf5deec 8241758 doc optional perl-doc_5.10.0-12_all.deb
 4147011e2db190b58f0e93c216050203 3191382 perl standard perl-modules_5.10.0-12_all.deb
 0201727f452bccbda4e0f3beff311b28 1046422 perl required perl-base_5.10.0-12_amd64.deb
 4a89c8cf7cabfb4319a1c3014202f06d 5538598 perl optional perl-debug_5.10.0-12_amd64.deb
 d47cded6387c818ef88f3a8baa8db148 31454 perl optional perl-suid_5.10.0-12_amd64.deb
 980ff59037abc8b320aad2edf27fb21f 1010 libs optional libperl5.10_5.10.0-12_amd64.deb
 ad39b06c6c1902f738a31aa63488dd20 2595932 libdevel optional libperl-dev_5.10.0-12_amd64.deb
 4618c81b28c3ef945ca3ddfef5dc1350 5247804 perl standard perl_5.10.0-12_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFImEJ3iyizGWoHLTkRAg04AKDRISJxLVnzA9W0RZZLD2I7UvYiPwCfVIRu
EUlrQCO/oJWhNvqc8r4fKuQ=
=kSi2
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 05 Sep 2008 07:31:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:51:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.